Package org.silverpeas.components.kmelia

## Class KmeliaCopyDetail

- java.lang.Object
- - org.silverpeas.core.admin.component.model.PasteDetail
  - - org.silverpeas.core.admin.component.model.PasteDetailFromToPK<org.silverpeas.core.node.model.NodePK,​org.silverpeas.core.node.model.NodePK>
    - - org.silverpeas.components.kmelia.KmeliaCopyDetail

-     public class KmeliaCopyDetail
      extends org.silverpeas.core.admin.component.model.PasteDetailFromToPK<org.silverpeas.core.node.model.NodePK,​org.silverpeas.core.node.model.NodePK>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADMINISTRATIVE_OPERATION` |
    `static String` | `NODE_RIGHTS` |
    `static String` | `PUBLICATION_CONTENT` |
    `static String` | `PUBLICATION_FILES` |
    `static String` | `PUBLICATION_HEADER` |
    `static String` | `PUBLICATION_PDC` |

    - ### Fields inherited from class org.silverpeas.core.admin.component.model.PasteDetail

      `OPTION_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaCopyDetail​(String userId)` |
    `KmeliaCopyDetail​(org.silverpeas.core.admin.component.model.PasteDetail pasteDetail)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KmeliaCopyDetail` | `fromPasteDetail​(KmeliaPasteDetail pasteDetail)` |
    `org.silverpeas.core.node.model.NodePK` | `getFromNodePK()` |
    `String` | `getPublicationStatus()` |
    `String` | `getPublicationValidatorIds()` |
    `org.silverpeas.core.node.model.NodePK` | `getToNodePK()` |
    `boolean` | `isAdministrativeOperation()` |
    `boolean` | `isNodeRightsMustBeCopied()` |
    `boolean` | `isPublicationContentMustBeCopied()` |
    `boolean` | `isPublicationFilesMustBeCopied()` |
    `boolean` | `isPublicationHeaderMustBeCopied()` |
    `boolean` | `isPublicationPositionsMustBeCopied()` |
    `void` | `setFromNodePK​(org.silverpeas.core.node.model.NodePK fromNodePK)` |
    `void` | `setPublicationStatus​(String publicationStatus)` |
    `void` | `setPublicationTargetValidatorIds​(String ids)` |
    `void` | `setToNodePK​(org.silverpeas.core.node.model.NodePK toNodePK)` |

    - ### Methods inherited from class org.silverpeas.core.admin.component.model.PasteDetailFromToPK

      `getFromPK, getToPK, setFromPK, setToPK`

    - ### Methods inherited from class org.silverpeas.core.admin.component.model.PasteDetail

      `addOption, getFromComponentId, getFromSpaceId, getOptions, getToComponentId, getToSpaceId, getUserId, setFromComponentId, setFromSpaceId, setOptions, setToComponentId, setToSpaceId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLICATION_HEADER

          public static final String PUBLICATION_HEADER

      See Also:
        Constant Field Values

    - #### PUBLICATION_CONTENT

          public static final String PUBLICATION_CONTENT

      See Also:
        Constant Field Values

    - #### PUBLICATION_FILES

          public static final String PUBLICATION_FILES

      See Also:
        Constant Field Values

    - #### PUBLICATION_PDC

          public static final String PUBLICATION_PDC

      See Also:
        Constant Field Values

    - #### NODE_RIGHTS

          public static final String NODE_RIGHTS

      See Also:
        Constant Field Values

    - #### ADMINISTRATIVE_OPERATION

          public static final String ADMINISTRATIVE_OPERATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KmeliaCopyDetail

          public KmeliaCopyDetail​(String userId)

    - #### KmeliaCopyDetail

          public KmeliaCopyDetail​(org.silverpeas.core.admin.component.model.PasteDetail pasteDetail)

  - ### Method Detail

    - #### fromPasteDetail

          public static KmeliaCopyDetail fromPasteDetail​(KmeliaPasteDetail pasteDetail)

    - #### setFromNodePK

          public void setFromNodePK​(org.silverpeas.core.node.model.NodePK fromNodePK)

    - #### getFromNodePK

          public org.silverpeas.core.node.model.NodePK getFromNodePK()

    - #### setToNodePK

          public void setToNodePK​(org.silverpeas.core.node.model.NodePK toNodePK)

    - #### getToNodePK

          public org.silverpeas.core.node.model.NodePK getToNodePK()

    - #### getPublicationValidatorIds

          public String getPublicationValidatorIds()

    - #### setPublicationTargetValidatorIds

          public void setPublicationTargetValidatorIds​(String ids)

    - #### getPublicationStatus

          public String getPublicationStatus()

    - #### setPublicationStatus

          public void setPublicationStatus​(String publicationStatus)

    - #### isPublicationHeaderMustBeCopied

          public boolean isPublicationHeaderMustBeCopied()

    - #### isPublicationContentMustBeCopied

          public boolean isPublicationContentMustBeCopied()

    - #### isPublicationFilesMustBeCopied

          public boolean isPublicationFilesMustBeCopied()

    - #### isPublicationPositionsMustBeCopied

          public boolean isPublicationPositionsMustBeCopied()

    - #### isNodeRightsMustBeCopied

          public boolean isNodeRightsMustBeCopied()

    - #### isAdministrativeOperation

          public boolean isAdministrativeOperation()